def poly_string(a, b, c):
    """Create a string representation ax^2 + bx + c"""
    return f"{a} x^2 + {b} x + {c}"


def poly_value(a, b, c, x):
    """Calculate the value of ax^2 + bx + c at the point x"""
    square = a * x ** 2
    linear = b * x
    const = c
    return square + linear + const


def pretty(a, b, c, x):
    """Calculate and print a quadratic polynomial"""
    poly = poly_string(a, b, c)
    value = poly_value(a, b, c, x)
    return f"The value of {poly} for x = {x} is {value}"


print(pretty(2, 7, 3, 3))
print(pretty(4, 5, 2, 9))
